Skip to content
openlaunch
Esc
↑↓navigate↵open⌘Jpreview

Revoke setup token

POST/v1/device-setup-tokens/{connectionId}/revoke
Authorization
AuthorizationBearer token (Clerk owner session) · headerrequired

Owner identity required.

Path parameters
connectionIdstring<uuid>required
Responses
200

Successful response

dataOkrequired
Show properties
okbooleanrequired
400

Invalid request or validation failure

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
401

Missing or invalid credential

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
403

Insufficient access or grant

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
404

Resource not found

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
413

Request body exceeds the 16 KiB limit

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
429

Rate limit or workspace capacity limit

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
500

Internal error

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
503

Service or required integration is not configured

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
Try it
Server
Authorization
Parameters
Request
curl -X POST 'https://www.openlaunch.dev/v1/device-setup-tokens/497f6eca-6276-4993-bfeb-53cbbbba6f08/revoke' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
{
  "data": {
    "ok": true
  }
}